scoop-cgi(1)

# NAME
scoop-cgi - run scoop as a cgi script

# SYNOPSIS
Run with your favorite web server

# DESCRIPTION
june's scooper is a great, full-featured web interface to litterbox, however it
is relatively complex. The plaintext output of scoop is good enough for me. This
script just makes it accesible via the web. Requires scoop and litterbox.

# URL SCHEME
*/*
	Home page

*/channel*
	Logs from channel from today

*/channel/date*
	Logs from channel from specified date. The date is passed through the date
	command so on systems running the GNU coreutils, keywords like "last-thursday"
	will work, however for portability, using ISO8601 (YYYY-MM-DD) is safest.

# CONFIGURATION
There are two config files that go in /etc/scoop-cgi/channels, and
/etc/scoop-cgi/database. The channels file has a list of channels for which
public logging is enabled, and the database file has the path to the litterbox
database file.

# DRAWBACKS
- No built-in search functionality. Combine with YaCy or scoot for a searching
  solution.
- Only supports a single database at a time
- Homepage text is hard coded

# SEE ALSO
*scoop*(1), *litterbox*(1)

# COPYRIGHT
This is free and unencumbered software released into the public domain. For more
information, please refer to <https://unlicense.org/>.
